Get Host Results

Look up one device by IP, subscription ID, MAC, hostname, or tag.

This method provides detailed information of a particular device including network interface details. The SEARCH field accepts IP, SUBID, MACADDR, HOSTNAME, SEARCH, and TAGS. The 'accountid' must be passed as a query parameter.

Key NameMeaningMandatoryData Type
SEARCHSearch value to identify the device using IP, SUBID, MACADDR, HOSTNAME, SEARCH, or TAGSYesstring
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.Device.getHostResults(
    SEARCH="192.168.45.26"
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json